# Uses of Interface
org.eclipse.birt.chart.model.type.AreaSeries

Packages that use AreaSeries
Package
Description
org.eclipse.birt.chart.model.type
Contains a default out-of-the-box set of series type interfaces that are associated with all charts.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.

## Uses of AreaSeries in org.eclipse.birt.chart.model.type

Subinterfaces of AreaSeries in org.eclipse.birt.chart.model.type
Modifier and Type
Interface
Description
`interface`
`DifferenceSeries`
A representation of the model object 'Difference Series'.
Methods in org.eclipse.birt.chart.model.type that return AreaSeries
Modifier and Type
Method
Description
`AreaSeries`
AreaSeries.`copyInstance()`
`AreaSeries`
TypeFactory.`createAreaSeries()`
Returns a new object of class 'Area Series'.

## Uses of AreaSeries in org.eclipse.birt.chart.model.type.impl

Classes in org.eclipse.birt.chart.model.type.impl that implement AreaSeries
Modifier and Type
Class
Description
`class`
`AreaSeriesImpl`
An implementation of the model object 'Area Series'.
`class`
`DifferenceSeriesImpl`
An implementation of the model object 'Difference Series'.
Methods in org.eclipse.birt.chart.model.type.impl that return AreaSeries
Modifier and Type
Method
Description
`AreaSeries`
AreaSeriesImpl.`copyInstance()`
`AreaSeries`
TypeFactoryImpl.`createAreaSeries()`